Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 706544 - net-libs/libosmocore-0.10.2 : fails to build with -fno-common or gcc-10
Summary: net-libs/libosmocore-0.10.2 : fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Radio Herd
URL:
Whiteboard:
Keywords: PATCH
Depends on:
Blocks: -fno-common 752462
  Show dependency tree
 
Reported: 2020-01-26 20:48 UTC by Toralf Förster
Modified: 2021-01-02 16:17 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,15.41 KB, text/plain)
2020-01-26 20:48 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,113.63 KB, text/plain)
2020-01-26 20:48 UTC, Toralf Förster
Details
environment (environment,57.82 KB, text/plain)
2020-01-26 20:48 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,14.77 KB, application/x-bzip)
2020-01-26 20:48 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,9.06 KB, application/x-bzip)
2020-01-26 20:48 UTC, Toralf Förster
Details
net-libs:libosmocore-0.10.2:20200126-200411.log (net-libs:libosmocore-0.10.2:20200126-200411.log,79.80 KB, text/plain)
2020-01-26 20:48 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,23.00 KB, application/x-bzip)
2020-01-26 20:49 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-01-26 20:48:40 UTC
/bin/sh ../../libtool  --tag=CC   --mode=compile x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I../..  -I"../../include" -I"../../include"   -DBUILDING_LIBOSMOCORE -Wall -Wall -O2 -pipe -march=native -fno-common -DBUILDING_LIBOSMOCORE -Wall -c -o gsm0503_coding.lo gsm0503_coding.c
libtool: compile:  x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I../.. -I../../include -I../../include -DBUILDING_LIBOSMOCORE -Wall -Wall -O2 -pipe -march=native -fno-common -DBUILDING_LIBOSMOCORE -Wall -c gsm0503_coding.c  -fPIC -DPIC -o .libs/gsm0503_coding.o
/bin/sh ../../libtool  --tag=CC   --mode=link x86_64-pc-linux-gnu-gcc -Wall -O2 -pipe -march=native -fno-common -DBUILDING_LIBOSMOCORE -Wall -Wl,--version-script=./libosmocoding.map -version-info 0:0:0 -no-undefined -Wl,-rpath,/usr/lib64 -ltalloc  -Wl,-O1 -Wl,--as-needed -o libosmocoding.la -rpath /usr/lib64 gsm0503_interleaving.lo gsm0503_mapping.lo gsm0503_tables.lo gsm0503_parity.lo gsm0503_coding.lo ../libosmocore.la ../gsm/libosmogsm.la ../codec/libosmocodec.la 
libtool: link: x86_64-pc-linux-gnu-gcc -shared  -fPIC -DPIC  .libs/gsm0503_interleaving.o .libs/gsm0503_mapping.o .libs/gsm0503_tables.o .libs/gsm0503_parity.o .libs/gsm0503_coding.o   -Wl,-rpath -Wl,/var/tmp/portage/net-libs/libosmocore-0.10.2/work/libosmocore-0.10.2/src/.libs -Wl,-rpath -Wl,/var/tmp/portage/net-libs/libosmocore-0.10.2/work/libosmocore-0.10.2/src/gsm/.libs -Wl,-rpath -Wl,/var/tmp/portage/net-libs/libosmocore-0.10.2/work/libosmocore-0.10.2/src/codec/.libs -L/var/tmp/portage/net-libs/libosmocore-0.10.2/work/libosmocore-0.10.2/src/.libs -Wl,--as-needed ../.libs/libosmocore.so ../gsm/.libs/libosmogsm.so ../codec/.libs/libosmocodec.so /var/tmp/portage/net-libs/libosmocore-0.10.2/work/libosmocore-0.10.2/src/.libs/libosmocore.so -ltalloc -ldl  -O2 -march=native -Wl,--version-script=./libosmocoding.map -Wl,-rpath -Wl,/usr/lib64 -Wl,-O1   -Wl,-soname -Wl,libosmocoding.so.0 -o .libs/libosmocoding.so.0.0.0
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: .libs/gsm0503_coding.o:(.rodata+0x160): multiple definition of `gsm0503_fire_crc40'; .libs/gsm0503_parity.o:(.rodata+0x60): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: .libs/gsm0503_coding.o:(.rodata+0x138): multiple definition of `gsm0503_mcs_crc8_hdr'; .libs/gsm0503_parity.o:(.rodata+0x40): first defined here

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_no-multilib-20200124-204141

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *


llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.7
  [3]   python3.6
  [4]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.40.0 *



repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Sun, 26 Jan 2020 18:26:13 +0000

emerge -qpvO net-libs/libosmocore
[ebuild  N    ] net-libs/libosmocore-0.10.2  USE="-pcsc-lite"
Comment 1 Toralf Förster gentoo-dev 2020-01-26 20:48:43 UTC
Created attachment 604896 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-01-26 20:48:46 UTC
Created attachment 604898 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-01-26 20:48:49 UTC
Created attachment 604900 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-01-26 20:48:51 UTC
Created attachment 604902 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-01-26 20:48:54 UTC
Created attachment 604904 [details]
logs.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-01-26 20:48:57 UTC
Created attachment 604906 [details]
net-libs:libosmocore-0.10.2:20200126-200411.log
Comment 7 Toralf Förster gentoo-dev 2020-01-26 20:49:00 UTC
Created attachment 604908 [details]
temp.tbz2
Comment 9 Larry the Git Cow gentoo-dev 2021-01-01 10:28:51 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=eb790be4cc19258b075b07833a03a1ada146755f

commit eb790be4cc19258b075b07833a03a1ada146755f
Author:     Andreas K. Huettel <dilfridge@gentoo.org>
AuthorDate: 2021-01-01 10:08:10 +0000
Commit:     Andreas K. Huettel <dilfridge@gentoo.org>
CommitDate: 2021-01-01 10:28:30 +0000

    net-libs/libosmocore: Apply -fcommon workaround
    
    Closes: https://bugs.gentoo.org/706544
    Package-Manager: Portage-3.0.9, Repoman-3.0.2
    Signed-off-by: Andreas K. Huettel <dilfridge@gentoo.org>

 net-libs/libosmocore/libosmocore-0.10.2.ebuild | 5 +++--
 net-libs/libosmocore/libosmocore-9999.ebuild   | 5 +++--
 2 files changed, 6 insertions(+), 4 deletions(-)
Comment 10 Larry the Git Cow gentoo-dev 2021-01-02 16:17:44 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=66dfa1ad11d6491433b4dd000ca5bdb57ad12364

commit 66dfa1ad11d6491433b4dd000ca5bdb57ad12364
Author:     Andreas K. Huettel <dilfridge@gentoo.org>
AuthorDate: 2021-01-02 16:17:16 +0000
Commit:     Andreas K. Huettel <dilfridge@gentoo.org>
CommitDate: 2021-01-02 16:17:16 +0000

    net-libs/libosmocore: Remove old
    
    Bug: https://bugs.gentoo.org/706544
    Package-Manager: Portage-3.0.12, Repoman-3.0.2
    Signed-off-by: Andreas K. Huettel <dilfridge@gentoo.org>

 net-libs/libosmocore/Manifest                 |  1 -
 net-libs/libosmocore/libosmocore-0.8.0.ebuild | 47 ---------------------------
 net-libs/libosmocore/metadata.xml             |  1 -
 3 files changed, 49 deletions(-)